ig.module(
  'game.maze'
)
.defines(function(){
  var tilesMap = [
    // floor
    {from: 1, to: 4},
    // trees
    {from: 5, to: 17}
  ];

  IGMaze = ig.Class.extend({
    init: function(w, h) {
      var raw = genMaze(w, h);
      // house
      raw[config.height-2][config.width-1] = 0;
      // arrow
      raw[config.height-2][config.width-3] = 0;

      this.collisionMap = _.clone(raw, true);

      raw[1][0] = 0;
      raw[config.height-2][config.width-1] = 0;

      this.backgroundMap = _.map(raw, function(row){
        return _.map(row, function(cell){
          var newCell = _.random(tilesMap[cell].from, tilesMap[cell].to);
          return newCell;
        });
      });
    }
  });
});
