ig.module(
  "game.items"
)
.requires(
  "impact.entity"
)
.defines(function(){
  EntityStart = ig.Entity.extend({

    animSheet: new ig.AnimationSheet("media/start.png", 94, 150),

    init: function(x, y, settings ){
      this.addAnim("normal", 0.2, [0]);
      this.parent(x, y, settings );
    },

  });

  EntityEnd = ig.Entity.extend({

    animSheet: new ig.AnimationSheet("media/house.png", 177, 218),

    init: function(x, y, settings ){
      this.addAnim("normal", 0.2, [0]);
      this.parent(x, y, settings );
    },

  });

  EntityArrow = ig.Entity.extend({

    animSheet: new ig.AnimationSheet("media/flecha.png", 97, 69),
    speed: 0.5,
    direction: 1,
    range: 20,

    init: function(x, y, settings ){
      this.addAnim("normal", 0.2, [0]);
      this.initPos = x;
      this.parent(x, y, settings );
    },

    update: function(){
      if(this.pos.x > this.initPos + this.range) this.direction = -1;
      if(this.pos.x < this.initPos) this.direction = 1;
      this.pos.x += this.speed * this.direction;
      this.parent();
    }

  });
});
